Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class LevelSet

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.LevelSet

All Implemented Interfaces:
  AVList, WWObject, PropertyChangeListener, EventListener

    public class LevelSet

extends WWObjectImpl

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`LevelSet(AVList params)`
`LevelSet(LevelSet source)`

Method Summary
`Level` | `getFirstLevel()`
`Level` | `getLastLevel()`
`Level` | `getLevel(int levelNumber)`
`ArrayList<Level>` | `getLevels()`
`LatLon` | `getLevelZeroTileDelta()`
`int` | `getNumLevels()`
`Sector` | `getSector()`
`boolean` | `isFinalLevel(int levelNum)`
`boolean` | `isLevelEmpty(int levelNumber)`
`boolean` | `isResourceAbsent(Tile tile)` Indicates whether a tile has been marked as absent.
`void` | `markResourceAbsent(Tile tile)` Instructs the level set that a tile is likely to be absent.
`void` | `unmarkResourceAbsent(Tile tile)` Removes the absent-tile mark associated with a tile, if one is associatied.

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### LevelSet

    public LevelSet(AVList params)

### LevelSet

    public LevelSet(LevelSet source)

Method Detail

### getFirstLevel

    public final Level getFirstLevel()

### getLastLevel

    public final Level getLastLevel()

### getLevel

    public final Level getLevel(int levelNumber)

### getLevels

    public final ArrayList<Level> getLevels()

### getLevelZeroTileDelta

    public final LatLon getLevelZeroTileDelta()

### getNumLevels

    public final int getNumLevels()

### getSector

    public final Sector getSector()

### isFinalLevel

    public final boolean isFinalLevel(int levelNum)

### isLevelEmpty

    public final boolean isLevelEmpty(int levelNumber)

### isResourceAbsent

    public final boolean isResourceAbsent(Tile tile)

  Indicates whether a tile has been marked as absent.

  Parameters:
    `tile` - The tile in question.
  Returns:
    `true` if the tile is marked absent, otherwise `false`.
  Throws:
    `IllegalArgumentException` - if `tile` is null

### markResourceAbsent

    public final void markResourceAbsent(Tile tile)

  Instructs the level set that a tile is likely to be absent.

  Parameters:
    `tile` - The tile to mark as having an absent resource.
  Throws:
    `IllegalArgumentException` - if `tile` is null

### unmarkResourceAbsent

    public final void unmarkResourceAbsent(Tile tile)

  Removes the absent-tile mark associated with a tile, if one is associatied.

  Parameters:
    `tile` - The tile to unmark.
  Throws:
    `IllegalArgumentException` - if `tile` is null

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD